---
title: Delete Address Map
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Addressing](https://developers.cloudflare.com/api/python/resources/addressing)

[Address Maps](https://developers.cloudflare.com/api/python/resources/addressing/subresources/address_maps)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete Address Map

addressing.address\_maps.delete(straddress\_map\_id, AddressMapDeleteParams\*\*kwargs) -> [AddressMapDeleteResponse](<https://developers.cloudflare.com/api/python/resources/addressing#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map_delete_response%20%3E%20(schema)>)

DELETE/accounts/{account\_id}/addressing/address\_maps/{address\_map\_id}

Delete a particular address map owned by the account. An Address Map must be disabled before it can be deleted.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Address Maps Write`

##### ParametersExpand Collapse

account\_id: str

Identifier of a Cloudflare account.

maxLength32

[Link to this property](<#(resource)%20addressing.address_maps%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

address\_map\_id: str

Identifier of an Address Map.

maxLength32

[Link to this property](<#(resource)%20addressing.address_maps%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20address_map_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class AddressMapDeleteResponse: …

</summary>

<details>

<summary>

errors: List\[Error]

</summary>

code: int

minimum1000

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map_delete_response%20%3E%20(schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20code">Link to this property</a>

message: str

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map_delete_response%20%3E%20(schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20message">Link to this property</a>

documentation\_url: Optional\[str]

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map_delete_response%20%3E%20(schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20documentation_url">Link to this property</a>

<details>

<summary>

source: Optional\[ErrorSource]

</summary>

pointer: Optional\[str]

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map_delete_response%20%3E%20(schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20source%20%3E%20(property)%20pointer">Link to this property</a>

</details>

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map_delete_response%20%3E%20(schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20source">Link to this property</a>

</details>

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map_delete_response%20%3E%20(schema)%20%3E%20(property)%20errors">Link to this property</a>

<details>

<summary>

messages: List\[Message]

</summary>

code: int

minimum1000

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map_delete_response%20%3E%20(schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20code">Link to this property</a>

message: str

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map_delete_response%20%3E%20(schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20message">Link to this property</a>

documentation\_url: Optional\[str]

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map_delete_response%20%3E%20(schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20documentation_url">Link to this property</a>

<details>

<summary>

source: Optional\[MessageSource]

</summary>

pointer: Optional\[str]

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map_delete_response%20%3E%20(schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20source%20%3E%20(property)%20pointer">Link to this property</a>

</details>

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map_delete_response%20%3E%20(schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20source">Link to this property</a>

</details>

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map_delete_response%20%3E%20(schema)%20%3E%20(property)%20messages">Link to this property</a>

success: Literal\[true]

Whether the API call was successful.

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map_delete_response%20%3E%20(schema)%20%3E%20(property)%20success">Link to this property</a>

<details>

<summary>

result\_info: Optional\[ResultInfo]

</summary>

count: Optional\[float]

Total number of results for the requested service.

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map_delete_response%20%3E%20(schema)%20%3E%20(property)%20result_info%20%3E%20(property)%20count">Link to this property</a>

page: Optional\[float]

Current page within paginated list of results.

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map_delete_response%20%3E%20(schema)%20%3E%20(property)%20result_info%20%3E%20(property)%20page">Link to this property</a>

per\_page: Optional\[float]

Number of results per page of results.

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map_delete_response%20%3E%20(schema)%20%3E%20(property)%20result_info%20%3E%20(property)%20per_page">Link to this property</a>

total\_count: Optional\[float]

Total results available without any search parameters.

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map_delete_response%20%3E%20(schema)%20%3E%20(property)%20result_info%20%3E%20(property)%20total_count">Link to this property</a>

total\_pages: Optional\[float]

The number of total pages in the entire result set.

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map_delete_response%20%3E%20(schema)%20%3E%20(property)%20result_info%20%3E%20(property)%20total_pages">Link to this property</a>

</details>

<a href="#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map_delete_response%20%3E%20(schema)%20%3E%20(property)%20result_info">Link to this property</a>

</details>

[Link to this property](<#(resource)%20addressing.address_maps%20%3E%20(model)%20address_map_delete_response%20%3E%20(schema)>)

### Delete Address Map

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
address_map = client.addressing.address_maps.delete(
    address_map_id="055817b111884e0227e1be16a0be6ee0",
    account_id="258def64c72dae45f3e4c8516e2111f2",
)
print(address_map.errors)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
```